Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.jmx.builder
Interface JmxEventEmitterMBean

All Known Implementing Classes:
  JmxEventEmitter

    public interface JmxEventEmitterMBean

This is the management interface for JmxEventEmitter. This MBean is used internally by JmxBuilder to broadcast events to registered listeners of the underlying MBeanServer.

Author:
  Vladimir Vivien
See Also:
  `JmxEventEmitterMBean`

Method Summary
Modifier and Type | Method and Description
--- | ---
`String` | `getEvent()` Getter - returns event thrown by emitter.
`long` | `send(Object data)` Method called to dispatch event on event bus.
`void` | `setEvent(String event)` Setter - sets event thrown by Emitter.

Method Detail

### getEvent

    String getEvent()

  Getter - returns event thrown by emitter.

  Returns:
    event type string

### setEvent

    void setEvent(String event)

  Setter - sets event thrown by Emitter.

  Parameters:
    `event` - - event type string

### send

    long send(Object data)

  Method called to dispatch event on event bus.

  Parameters:
    `data` - - data sent to listeners.
  Returns:
    - a sequence id generated for event.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD